#
# spec file for package gap-grape
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           gap-grape
Version:        4.9.1
Release:        1.1
Summary:        GAP: GRaph Algorithms using PErmutation groups
License:        GPL-2.0-or-later
Group:          Productivity/Scientific/Math
URL:            https://gap-packages.github.io/grape/
#Git-Clone:     https://github.com/gap-packages/grape
Source:         https://github.com/gap-packages/grape/releases/download/v%version/grape-%version.tar.gz
BuildArch:      noarch
BuildRequires:  gap-rpm-devel
BuildRequires:  xz
Requires:       bliss
Requires:       gap-core >= 4.11
Requires:       nauty >= 2.8.6

%description
GRAPE is a package for computing with graphs and groups, and is
primarily designed for constructing and analysing graphs related to
groups, finite geometries, and designs.

%prep
%autosetup -n grape-%version
# Make sure bundled nauty is not built
rm -Rf ./nauty*

%build

%install
rm -Rf scripts doc/.Rhistory
%gappkg_simple_install

%files -f %name.files

%changelog
* Tue Sep  3 2024 Jan Engelhardt <jengelh@inai.de>
- Update to release 4.9.1
  * Made an improvement to the proper vertex-colouring search
    process
  * Documentation updates
* Sun Dec 11 2022 Stefan Brüns <stefan.bruens@rwth-aachen.de>
- Update to new upstream release 4.9.0
  See included CHANGES.md for a detailed list of changes.
* Sat Nov 19 2022 Jan Engelhardt <jengelh@inai.de>
- Update to release 4.8.5
  * Resolve wrong answer to be returned for an input complete
    graph (on more than one vertex) for the functions
    MaximumClique, MaximumCompleteSubgraph, and CliqueNumber.
  * Implemented new components maximumClique and
    minimumVertexColouring for (simple) GRAPE graphs. These
    components may be set or used by various GRAPE functions.
  * Simple GRAPE graphs are now output to nauty/bliss as
    nauty/blass undirected graphs and are so treated by them.
* Wed Nov 14 2018 Jan Engelhardt <jengelh@inai.de>
- Update to new upstream release 4.8.1
  * No changelog was provided
* Thu Sep 14 2017 jengelh@inai.de
- Update to new upstream release 4.7
  * The user may run their own copy of dreadnaut and bliss.
* Fri May 10 2013 jengelh@inai.de
- Split grape (version 4.6.1) off the gap RPM package
